# --------------------------------------------------------
#
# Structure de la table 'dforum_blockip'
#

CREATE TABLE dforum_blockip (
   id int(10) unsigned NOT NULL auto_increment,
   ip varchar(20) NOT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Structure de la table 'dforum_boards'
#

CREATE TABLE dforum_boards (
   id int(10) unsigned NOT NULL auto_increment,
   nom varchar(70) NOT NULL,
   description blob NOT NULL,
   moderator varchar(70),
   ident char(1),
   PRIMARY KEY (id)
);

# --------------------------------------------------------
#
# Structure de la table 'dforum_moderators'
#

CREATE TABLE dforum_moderators (
   id int(10) unsigned NOT NULL auto_increment,
   mod_login varchar(70) NOT NULL,
   mod_pass varchar(70) NOT NULL,
   mod_pow varchar(70) NOT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Structure de la table 'dforum_posts'
#

CREATE TABLE dforum_posts (
   id int(10) unsigned NOT NULL auto_increment,
   post_idboard int(10) DEFAULT '0' NOT NULL,
   post_title varchar(100) NOT NULL,
   post_text blob NOT NULL,
   post_istopic char(1),
   post_reply int(10) unsigned DEFAULT '0' NOT NULL,
   post_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   post_lastdate datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   post_author varchar(70) NOT NULL,
   post_authoremail varchar(70) NOT NULL,
   status varchar(10) NOT NULL,
   post_ip varchar(20) NOT NULL,
   post_view int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

# --------------------------------------------------------
#
# Structure de la table 'dforum_reglages'
#

CREATE TABLE dforum_reglages (
   id int(10) unsigned NOT NULL auto_increment,
   reglage varchar(20) NOT NULL,
   valeur blob NOT NULL,
   descr blob NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'dforum_reglages'
#

INSERT INTO dforum_reglages VALUES ( '1', 'censure', '1', 'Censure (0=dsactiv; 1=activ)');
INSERT INTO dforum_reglages VALUES ( '2', 'allowhtml', 'admin', 'Permettre le HTML (admin=administrateur et modrateur seulement; all=tous les utilisateurs)');
INSERT INTO dforum_reglages VALUES ( '3', 'allowdcode', 'all', 'Permettre le D-code (admin=administrateur et modrateur seulement; all=tous les utilisateurs; 0=personne)');
INSERT INTO dforum_reglages VALUES ( '4', 'allowdelete', 'admin', 'Permettre d\'effacer les messages (admin=administrateur et modrateur seulement; all=tous les auteurs des posts)');
INSERT INTO dforum_reglages VALUES ( '5', 'allowedit', 'all', 'Permettre d\'diter  les messages (admin=administrateur et modrateur seulement; all=tous les auteurs des posts)');
INSERT INTO dforum_reglages VALUES ( '6', 'site', 'http://localhost', 'Adresse (URL) de le page d\'accueil de votre site web');
INSERT INTO dforum_reglages VALUES ( '7', 'allowsig', '1', 'Permettre l\'utilisation des signatures (1=activ; 0=dsactiv)');
INSERT INTO dforum_reglages VALUES ( '8', 'allowimg', '0', 'Permettre l\'utilisation des images miniatures dans le profil (1=activ; 0=dsactiv)');
INSERT INTO dforum_reglages VALUES ( '9', 'my_header', '', 'Chemin relatif vers le fichier html ou autre   afficher AVANT le forum. (vide= pas de fichier)');
INSERT INTO dforum_reglages VALUES ( '10', 'my_footer', '', 'Chemin relatif vers le fichier html ou autre   afficher APRES le forum. (vide= pas de fichier)');

# --------------------------------------------------------
#
# Structure de la table 'dforum_smileys'
#

CREATE TABLE dforum_smileys (
   id int(10) unsigned NOT NULL auto_increment,
   commande varchar(20) NOT NULL,
   image varchar(30) NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'dforum_smileys'
#

INSERT INTO dforum_smileys VALUES ( '1', ':)', 'smiley_happy.gif');
INSERT INTO dforum_smileys VALUES ( '2', ':(', 'smiley_sad.gif');
INSERT INTO dforum_smileys VALUES ( '3', ':-/', 'smiley_mid.gif');
INSERT INTO dforum_smileys VALUES ( '4', ':o', 'smiley_o.gif');
INSERT INTO dforum_smileys VALUES ( '5', ';-)', 'smiley_eye.gif');
INSERT INTO dforum_smileys VALUES ( '6', ':-o', 'redface.gif');
INSERT INTO dforum_smileys VALUES ( '7', ';o)', 'wink.gif');
INSERT INTO dforum_smileys VALUES ( '8', ':biggrin:', 'biggrin.gif');
INSERT INTO dforum_smileys VALUES ( '9', ':???:', 'confused.gif');
INSERT INTO dforum_smileys VALUES ( '10', ':frown:', 'frown.gif');
INSERT INTO dforum_smileys VALUES ( '11', ':happy:', 'hapfac01.gif');
INSERT INTO dforum_smileys VALUES ( '12', ':lol:', 'laugh.gif');
INSERT INTO dforum_smileys VALUES ( '13', ':love:', 'love1.gif');
INSERT INTO dforum_smileys VALUES ( '14', ':mad:', 'mad.gif');
INSERT INTO dforum_smileys VALUES ( '15', ':multicolor:', 'multicolor.gif');
INSERT INTO dforum_smileys VALUES ( '16', ':shoot:', 'smileyshot2.gif');
INSERT INTO dforum_smileys VALUES ( '17', ':rocket:', 'rocketwhore.gif');
INSERT INTO dforum_smileys VALUES ( '18', ':roll:', 'rolleyes.gif');
INSERT INTO dforum_smileys VALUES ( '19', ':sleep:', 'sleep.gif');
INSERT INTO dforum_smileys VALUES ( '20', ':asian:', 'smileJap.gif');
INSERT INTO dforum_smileys VALUES ( '21', ':spin:', 'spin3.gif');
INSERT INTO dforum_smileys VALUES ( '22', ':drop:', 'sweatdrop.gif');
INSERT INTO dforum_smileys VALUES ( '23', ':vtff:', 'vtff.gif');
INSERT INTO dforum_smileys VALUES ( '24', ':wavey:', 'wavey.gif');
INSERT INTO dforum_smileys VALUES ( '25', ':wobble:', 'wobble.gif');
INSERT INTO dforum_smileys VALUES ( '26', ':yawn:', 'yawn.gif');
INSERT INTO dforum_smileys VALUES ( '27', ':fire:', 'angryfire.gif');
INSERT INTO dforum_smileys VALUES ( '28', ':blabla:', 'blabla.gif');
INSERT INTO dforum_smileys VALUES ( '29', ':cool:', 'cool.gif');
INSERT INTO dforum_smileys VALUES ( '30', ':cry:', 'crying1.gif');
INSERT INTO dforum_smileys VALUES ( '31', ':evil:', 'devil.gif');
INSERT INTO dforum_smileys VALUES ( '32', ':drunk:', 'Drink.gif');
INSERT INTO dforum_smileys VALUES ( '33', ':eek:', 'eek.gif');
INSERT INTO dforum_smileys VALUES ( '34', ':eek2:', 'eek2.gif');
INSERT INTO dforum_smileys VALUES ( '35', ':bounce:', 'bounce.gif');

# --------------------------------------------------------
#
# Structure de la table 'dforum_styles'
#

CREATE TABLE dforum_styles (
   id int(10) unsigned NOT NULL auto_increment,
   couleur varchar(30) DEFAULT 'dforum' NOT NULL,
   header varchar(30) DEFAULT 'dforum' NOT NULL,
   navbar varchar(30) DEFAULT 'dforum' NOT NULL,
   footer varchar(30) DEFAULT 'dforum' NOT NULL,
   accueil varchar(30) DEFAULT 'dforum' NOT NULL,
   voirforum varchar(30) DEFAULT 'dforum' NOT NULL,
   voirsujet varchar(30) DEFAULT 'dforum' NOT NULL,
   navavant char(1) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

#
# Contenu de la table 'dforum_styles'
#

INSERT INTO dforum_styles VALUES ( '1', 'dforum', 'dforum', 'dforum', 'dforum', 'dforum', 'dforum', 'dforum', '');

# --------------------------------------------------------
#
# Structure de la table 'dforum_users'
#

CREATE TABLE dforum_users (
   id int(10) unsigned NOT NULL auto_increment,
   user_login varchar(70) NOT NULL,
   user_pass varchar(70) NOT NULL,
   user_nbpost int(10) DEFAULT '0' NOT NULL,
   user_email varchar(70) NOT NULL,
   user_webpage varchar(100) NOT NULL,
   user_medals blob NOT NULL,
   user_img varchar(70) NOT NULL,
   user_sig blob NOT NULL,
   PRIMARY KEY (id)
);

